Maintenance for the week of January 20:
· [COMPLETE] PC/Mac: EU megaserver for maintenance – January 21,  6:00AM EST (11:00 UTC) - 8:00AM EST (13:00 UTC)
https://forums.elderscrollsonline.com/en/discussion/508927/

[Need Help] Serious Problem With Addons

Megatto
Megatto
✭✭✭✭
Several of my add-ons have red text saying "Dependency" and I've tried installing the required add-ons in Minion but it still says "Dependency". Can someone please help me? I don't know how to fix this. Please help.
"Let the guess ripen in the mind and only speak when the fruit grows certain" - Vivec

Arvena Telvayn - Pact Dunmer Sorcerer
Valerica Snow-Song - Pact Nord Dragonknight
Onasha Drakeeh - Pact Argonian Warden
Khayla Zakar - Dominion Khajiit Nightblade
Niranya Mothril - Dominion Altmer Templar
Raelynn Soulbinder - Covenant Breton Necromancer
  • quasimodem
    quasimodem
    Soul Shriven
    in game expand your addons, find the dependencies that are missing or out of date, add them in Minion. Profit!
  • daim
    daim
    ✭✭✭
    In most cases the addons have libraries (99% of the time) included into their package so there shouldn't be many that does not work out-of-the-box. At least if you download them from esoui.com with Minion.

    All addons (libs included) should be saved in C:\Users\xxx\Documents\Elder Scrolls Online\live\AddOns folder if you're using PC and haven't done any extra configs to your system. Check that Minion is installing stuff to the correct location.

    Also make sure that out-dated addons are enabled in char-selection screen. Latest patch disabled them and you have to re-enable them from the addon menu.

    You probably have tried these, but just to make sure.

    Give us a few examples which of your addons are requiring depencies.
  • vamp_emily
    vamp_emily
    ✭✭✭✭✭
    ✭✭✭
    I was going to create a thread like this last night. I thank the developers for creating the addons but it seems like they fail ( or can't for some reason ) place dependency files in their download packages.

    If one of your addons that you are having problems with is "AwesomeGuildStore" you can go to www.esoui.com and search for "AwesomeGuildStore" there is a zip file named "All Libs.. " you can download and unzip all the required libs needed at once.

    Another thing you can do is google the missing dependency file and it should take you to the correct place to download.

    After downloading and unzipping the dependency libraries, I believe you go to ( on your pc ) "My documents -> ESO -> Addons " and then find the addon that is missing the lib and then in that folder you should see a "Lib" folder. Place the unzipped missing library folder in the Libs folder. Then I normally just close eso ( and the launcher ) and then log in again.
    Edited by vamp_emily on May 23, 2019 1:59PM

    If you want a friend, get a dog.
    AW Rank: Legate Grade 2 ( level 40 )

  • DBZVelena
    DBZVelena
    ✭✭✭✭✭
    I think what you are all tripping over is that since Murkmire. Addons makers have started SHARING their addon libraries.

    What this means is that you might not get the library required for your addon packaged in with the addon.
    This is because it's very possible you already have the library installed because of another addon you have.

    You can prevent missing libraries by actually checking the addon's info. This usually informs you of required libraries and you can download them using minion. In fact i recommend using minion for that because it keeps your libraries up to date too.

    Also if after you get your addons running and you get a Lua error message. I recommend you copy that info in to a text file, or screenshot it if you prefer. then you can go to the website of the addon causing the lua error and ask for support in fixing it. Often times you're not alone in getting that error and by reporting it. you give addon-makers the opportunity to bug-fix.

    And trivia, if you installed a dependency library when you still have both the game AND launcher running. the game won't see it not even with a reload of UI. You need to completely log of, turn off the launcher. Then start it all back up for it to find your new library. This is because its your launcher that first loads in your addons before you even log in to the game.

    I hope this was helpful info.
    What are Natch Potes? Can you eat those?
    I believe in Genie-Gina.
  • Hippie4927
    Hippie4927
    ✭✭✭✭✭
    ✭✭✭
    I'm having a problem with the Skyshards addon. The shards are not showing in Elsweyr. I have the updated version of the Skyshard addon and all current libraries. Does anyone know what the problem might be?
    PC/NA/EP
  • Nestor
    Nestor
    Community Ambassador
    @Hippie4927

    Do you also have Map Pins?

    Skyshards works for me, but I had to download a ton of libs to make it work.
    Enjoy the game, life is what you really want to be worried about.

    PakKat "Everything was going well, until I died"
    Gary Gravestink "I am glad you died, I needed the help"

  • Hippie4927
    Hippie4927
    ✭✭✭✭✭
    ✭✭✭
    @Nestor

    I do have Map Pins. What other libs did you download?

    And thank you for the response.


    Also, in the game addon settings, nothing is in red needing dependencies.
    Edited by Hippie4927 on May 23, 2019 2:37PM
    PC/NA/EP
  • vamp_emily
    vamp_emily
    ✭✭✭✭✭
    ✭✭✭
    I might be mistaken but the problem with Minion is when you update addons it seems like it replaces the entire addon which is removing some of the dependency Libs.

    I know in the past I had to manually install a Lib and a few days later there was an addon update. I updated it ( using Minion ) and it remove the lib again.



    Edited by vamp_emily on May 23, 2019 3:13PM

    If you want a friend, get a dog.
    AW Rank: Legate Grade 2 ( level 40 )

  • blnchk
    blnchk
    ✭✭✭✭✭
    vamp_emily wrote: »
    I might be mistaken but the problem with Minion is when you update addons it seems like it replaces the entire addon which is removing some of the dependency Libs.

    I know in the past I had to manually install a Lib and a few days later there was an addon update. I updated it ( using Minion ) and it remove the lib again.



    You can install libraries via Minion the same way you install addons. Search for them, install them and update them all with the tool. No need to replace anything manually.
  • Tai-Chi
    Tai-Chi
    ✭✭✭✭
    SkyShards by Assembler Maniac is also not working for me
    - Elsweyr supported
    - 5.0.5

    Voltan, Lore Books, Arkadius' Trade Tools & ElsweyrMuralMender appear to be working ok
    Lost Treasure is working but is out-of-date

    I have the following Libraries installed in the ESO "Live" "Addon" folder
    - CustomCompassPins
    - LibAddonMenu 2.0
    - Lib GPS 2.0
    - LibMapPing
    - LibMapPins 1.0

    I too would appreciate any help in sorting this problem out



    Edited by Tai-Chi on May 23, 2019 4:23PM
    PC - EU (Main) & PC - NA
  • Hippie4927
    Hippie4927
    ✭✭✭✭✭
    ✭✭✭
    Tai-Chi wrote: »
    SkyShards by Assembler Maniac is also not working for me
    - Elsweyr supported
    - 5.0.5

    Voltan, Lore Books, Arkadius' Trade Tools & ElsweyrMuralMender appear to be working ok
    Lost Treasure is working but is out-of-date

    I have the following Libraries installed in the ESO "Live" "Addon" folder
    - CustomCompassPins
    - LibAddonMenu 2.0
    - Lib GPS 2.0
    - LibMapPing
    - LibMapPins 1.0

    I too would appreciate any help in sorting this problem out



    @Tai-Chi

    I finally got it working. I followed these directions from Seymoore in the Skyshard comments at ESOUI.

    Fix is as follows:
    1. Install 10.12 from the archived files
    2. Download 10.13 and open the zip file
    3. manually cut and paste Skyshards.lua from the zip file into your same directory as the 10.12 install
    4. manually cut and paste SkyshardsData.lua from the zip file into your same directory as the 10.12 install.
    PC/NA/EP
  • Kaymorolis
    Kaymorolis
    ✭✭✭
    vamp_emily wrote: »
    If one of your addons that you are having problems with is "AwesomeGuildStore" you can go to www.esoui.com and search for "AwesomeGuildStore" there is a zip file named "All Libs.. " you can download and unzip all the required libs needed at once.
    Thank you for this. Once in a while I get a missing lib file and can install with minion, but AGS is looking for multiple missing libs and I haven't had the time to write them all down and go find them, so the tip about getting all the libs at once is very much appreciated.

    PC | NA
    CP: 240+
    Tai'Zar - 50 Bosmer Stamblade
    Annatar the Fair - 50 Altmer MagSorc
    Rules Through Fear - 50 Argonian Templar
  • FrancisCrawford
    FrancisCrawford
    ✭✭✭✭✭
    ✭✭
    I have Votan's Minimap working on some characters and not others, which feels like a bug.

    On the ones where it doesn't work, blame goes to a dependency on LibHarvensAddonSettings. I can't find that in Minion, nor indeed find any reference to it from recent years.

    Perhaps it's bundled with some other add-on that I've only enabled on some characters, but I have no good guess as to what that might be.
  • Hippie4927
    Hippie4927
    ✭✭✭✭✭
    ✭✭✭
    Votan's MiniMap update 5-18-2019 came with Harvens Addon Settings in the Lib folder. I don't use Minion so I don't know if Minion messed up or what. I install addons manually and Votan's works on all my characters.
    PC/NA/EP
  • Tai-Chi
    Tai-Chi
    ✭✭✭✭

    Hippie4927 wrote: »
    Tai-Chi wrote: »
    SkyShards by Assembler Maniac is also not working for me
    - Elsweyr supported
    - 5.0.5

    Voltan, Lore Books, Arkadius' Trade Tools & ElsweyrMuralMender appear to be working ok
    Lost Treasure is working but is out-of-date

    I have the following Libraries installed in the ESO "Live" "Addon" folder
    - CustomCompassPins
    - LibAddonMenu 2.0
    - Lib GPS 2.0
    - LibMapPing
    - LibMapPins 1.0

    I too would appreciate any help in sorting this problem out



    @Tai-Chi

    I finally got it working. I followed these directions from Seymoore in the Skyshard comments at ESOUI.

    Fix is as follows:
    1. Install 10.12 from the archived files
    2. Download 10.13 and open the zip file
    3. manually cut and paste Skyshards.lua from the zip file into your same directory as the 10.12 install
    4. manually cut and paste SkyshardsData.lua from the zip file into your same directory as the 10.12 install.


    Thanks for your advice @Hippie4927. It helped me discover why my Skyshard add-on was not working.

    All the 5 "dependent" Library had installed but the 2 "Lua" files were missing in "SkyShards". I cut-&-pasted them into "SkyShards", like you suggested, and that solved it eventually.

    For anyone else experiencing the same problem. Please note; it took 24 hours for Minion to up-date the files.
    PC - EU (Main) & PC - NA
  • Hippie4927
    Hippie4927
    ✭✭✭✭✭
    ✭✭✭
    Tai-Chi wrote: »
    Hippie4927 wrote: »
    Tai-Chi wrote: »
    SkyShards by Assembler Maniac is also not working for me
    - Elsweyr supported
    - 5.0.5

    Voltan, Lore Books, Arkadius' Trade Tools & ElsweyrMuralMender appear to be working ok
    Lost Treasure is working but is out-of-date

    I have the following Libraries installed in the ESO "Live" "Addon" folder
    - CustomCompassPins
    - LibAddonMenu 2.0
    - Lib GPS 2.0
    - LibMapPing
    - LibMapPins 1.0

    I too would appreciate any help in sorting this problem out



    @Tai-Chi

    I finally got it working. I followed these directions from Seymoore in the Skyshard comments at ESOUI.

    Fix is as follows:
    1. Install 10.12 from the archived files
    2. Download 10.13 and open the zip file
    3. manually cut and paste Skyshards.lua from the zip file into your same directory as the 10.12 install
    4. manually cut and paste SkyshardsData.lua from the zip file into your same directory as the 10.12 install.


    Thanks for your advice @Hippie4927. It helped me discover why my Skyshard add-on was not working.

    All the 5 "dependent" Library had installed but the 2 "Lua" files were missing in "SkyShards". I cut-&-pasted them into "SkyShards", like you suggested, and that solved it eventually.

    For anyone else experiencing the same problem. Please note; it took 24 hours for Minion to up-date the files.

    Glad you got it working!
    PC/NA/EP
  • Hominy
    Hominy
    Soul Shriven
    Ok, this was driving me crazy. Looks like I finally got everything working by completely logging out of the game and the restarting everything--after repeatedly installing and uninstalling addon components wondering what I was doing wrong.

    Thanks to those folks who suggested that (I was thinking /reloadui re-loaded everything needed by the addons, apparently it doesn't)

    No offense to anyone, the addon feature is a great addition to the game--and thanks to those who are creating them, but it feels extraordinarily clunky right now.
Sign In or Register to comment.